Subject: Re: [PWE3] Last Call: 'IANA Allocations for pseudo Wire Edge to Edge Emulation (PWE3)' to BCP

From: Luca Martini <[email-masked]>
Date: Tue, 04 Oct 2005 22:24:28 -0600

Somebody  pointed out to me an editorial mistake that needs to be fixed:

In the following text:

"IANA needs to set up a registry of "Pseudowire Type". These are 15-
    bit values. PW Type values 1 through 30 are specified in this
    document, PW Type values 31 through 1024 are to be assigned by IANA,
    using the "Expert Review" policy defined in [RFC2434]. PW Type values
    1025 through 4096, and 32768 are reserved for future use, and are not
    to be allocated by IANA. PW Type values 4097 through 32767 are
"

the value 32768 does not fit into the 15 bit PW type field. this value 
should be 32767 ( 0x7fff ) and the 32767 number needs to be changed to 
32766.

Luca

The IESG wrote:
> The IESG has received a request from the Pseudo Wire Emulation Edge to Edge WG
> to consider the following document:
> 
> - 'IANA Allocations for pseudo Wire Edge to Edge Emulation (PWE3) '
>    <draft-ietf-pwe3-iana-allocation-12.txt> as a BCP
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send any comments to the
> [email-masked] or [email-masked] mailing lists by 2005-10-14.
> 
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-ietf-pwe3-iana-allocation-12.txt
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 05 Oct 2005 16:18:29 +0100

>    <draft-ietf-pwe3-iana-allocation-12.txt> as a BCP

This draft reserves a number of ranges not be allocated by IANA,
for example in Pseudowire type (2.1. Pseudowire Type) it says:

"PW Type values 1025 through 4096, and 32768 are reserved for future
use, and are not to be allocated by IANA." (32768 was a typo and
should have been 32767).

It has been suggested that we should change this to:

"PW Type values 1025 through 4096, and 32767 are allocated through
the IETF Consensus Process"

Similarly for other ranges in the draft in which similar "not to
be allocated by IANA" text is used.

The rational is as follows. There is no TECHNICAL reason not
to use these values - they do not for example clash with other
protocols - the PWE3 WG was simply reserving them for the future
with a significant barrier to their allocation.

With the existing text, if we did ever need them we would need
to issue an instruction to IANA to release them, but would also
have to check that no one had done anything on the basis that
they were not to be issued by IANA.

By making them available through the IETF Consensus Process,
we retain them as a range that we can use in the future,
but set a barrier to use, such that they will be issued only if
the IETF considers the proposed use to be valid.

I believe that the proposed change executes the intent of the
PWE3 WG, but is administratively simpler.

- Stewart

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 05 Oct 2005 23:22:30 +0200

> the IETF Consensus Process"

The most stringent 2434 term is "standards action", I think... I would 
encourage using 2434 language wherever possible...